services:
  redis:
    image: redis:latest
    container_name: nwn_redis
    ports:
      - "127.0.0.1:6380:6379"
    restart: unless-stopped
  nwserver:
    image: nwnxee/unified:latest
    container_name: nwn_game_server
    depends_on:
      - redis
    ports:
      - "5121:5121/udp"
    environment:
      - NWN_SERVERNAME=Alentejo Sem Lei
      - NWN_MODULE=Smart NPC
      - NWN_PUBLICSERVER=0
      - NWNX_CORE_SKIP=n
      - NWNX_REDIS_SKIP=n
      - NWNX_REDIS_HOST=redis
    volumes:
      - ./server_data:/nwn/home
    restart: unless-stopped